ChangeSet 1.1391, 2003/06/10 10:53:11-07:00, greg@kroah.com

[PATCH] PCI: remove pci_bus_b() call in arch/i386/pci/common.c


 arch/i386/pci/common.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)


diff -Nru a/arch/i386/pci/common.c b/arch/i386/pci/common.c
--- a/arch/i386/pci/common.c	Tue Jun 10 11:15:05 2003
+++ b/arch/i386/pci/common.c	Tue Jun 10 11:15:05 2003
@@ -104,11 +104,9 @@
 
 struct pci_bus * __devinit pcibios_scan_root(int busnum)
 {
-	struct list_head *list;
-	struct pci_bus *bus;
+	struct pci_bus *bus = NULL;
 
-	list_for_each(list, &pci_root_buses) {
-		bus = pci_bus_b(list);
+	while ((bus = pci_find_next_bus(bus)) != NULL) {
 		if (bus->number == busnum) {
 			/* Already scanned */
 			return bus;
